#!/bin/bash

dossier=$HOME/.kde/share/apps/basket/
dossierGrep=$(cat $HOME/.kde/share/config/basketrc | grep "^dataFolder=")
if [ $? == 0 ]; then
  dossierTest=$(echo $dossierGrep |cut -d "=" -f 2)
  if [ "_$dossierTest" != "_" ]; then
    dossier=$dossierTest
  fi
fi

cd $dossier


cat tags.xml |grep -q '<state id="desktop"'
if [ $? == 0 ]; then
  kdialog --error "There is already a Desktop tag."
  exit
fi


kdialog --msgbox "BasKet Note Pads is going to be restarted."


killall basket


sed -i -e 's@</basketTags>@ <tag>\n  <name>Desktop</name>\n  <shortcut></shortcut>\n  <inherited>false</inherited>\n  <state id="desktop" >\n   <name>Bureau</name>\n   <emblem>desktop</emblem>\n   <text strikeOut="false" bold="false" underline="false" color="" italic="false" />\n   <font size="-1" name="" />\n   <backgroundColor></backgroundColor>\n   <textEquivalent string="" onAllTextLines="false" />\n  </state>\n </tag>\n</basketTags>\n@' tags.xml


basket &
